﻿DROP DATABASE IF EXISTS practica3 ;
CREATE DATABASE practica3
CHARACTER SET utf8
COLLATE utf8_spanish_ci;
--
-- Script was generated by Devart dbForge Studio for MySQL, Version 8.0.40.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 18/07/2019 16:11:40
-- Server version: 5.5.5-10.1.40-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

--
-- Set default database
--
USE practica3;

--
-- Drop table `delegacion`
--
DROP TABLE IF EXISTS delegacion;

--
-- Drop table `trabajadores`
--
DROP TABLE IF EXISTS trabajadores;


--
-- Set default database
--
USE practica3;

--
-- Create table `delegacion`
--
CREATE TABLE delegacion (
  id int(11) NOT NULL AUTO_INCREMENT,
  nombre varchar(31) DEFAULT NULL,
  poblacion varchar(63) DEFAULT NULL,
  direccion varchar(150) DEFAULT NULL,
  PRIMARY KEY (id),
  UNIQUE INDEX id (id)
)
ENGINE = INNODB,
AUTO_INCREMENT = 10000000,
AVG_ROW_LENGTH = 163,
CHARACTER SET utf8,
COLLATE utf8_spanish_ci;

--
-- Create table `trabajadores`
--
CREATE TABLE trabajadores (
  id int(11) NOT NULL AUTO_INCREMENT,
  nombre varchar(31) DEFAULT NULL,
  fechanacimiento date DEFAULT NULL,
  foto varchar(31) DEFAULT NULL,
  delegacion int(11),
  PRIMARY KEY (id),
  UNIQUE INDEX id (id)
)
ENGINE = INNODB,
AUTO_INCREMENT = 202,
AVG_ROW_LENGTH = 163,
CHARACTER SET utf8,
COLLATE utf8_spanish_ci;

--
-- Create foreign key
--
ALTER TABLE trabajadores
ADD CONSTRAINT facturas_ibfk_1 FOREIGN KEY (delegacion)
REFERENCES delegacion (id);


